Bug 2066665 - [ibm-vpc-block] Unable to change default storage class
Summary: [ibm-vpc-block] Unable to change default storage class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.10
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.11.0
Assignee: Roman Bednář
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 2077419
TreeView+ depends on / blocked
 
Reported: 2022-03-22 09:58 UTC by akgunjal@in.ibm.com
Modified: 2022-08-10 10:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2077419 (view as bug list)
Environment:
Last Closed: 2022-08-10 10:55:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ibm-vpc-block-csi-driver-operator pull 34 0 None open Bug 2066665: [ibm-vpc-block] Unable to change default storage class 2022-04-21 09:56:25 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:55:45 UTC

Description akgunjal@in.ibm.com 2022-03-22 09:58:35 UTC
Description of problem:
Tried to change the default storage class by editing the storage class but it does not allow to set the storageclass.kubernetes.io/is-default-class to false.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. There are multiple storage classes in the cluster with one of them as default
2. Create a new storage class and make it default by storageclass.kubernetes.io/is-default-class: true
3. Edit the existing default storage class to make ot non-default by storageclass.kubernetes.io/is-default-class: false

Actual results:
Both the new and old classes are marked as default as the edit of old class fails.
ibmc-vpc-block-10iops-tier (default)       vpc.block.csi.ibm.io                    Delete          WaitForFirstConsumer   true                   24d

ibmc-vpc-block-general-purpose (default)   vpc.block.csi.ibm.io                    Delete          Immediate              true                   19h

Expected results:
The old class should have become non-default while the new one should be default


Additional info:
I0322 05:05:22.472650       1 event.go:285] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-cluster-csi-drivers", Name:"ibm-vpc-block-csi-driver-operator", UID:"af1884cc-829e-4817-8346-f12a2785c535", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'StorageClassUpdated' Updated StorageClass.storage.k8s.io/ibmc-vpc-block-10iops-tier because it changed
error: unexpected EOF


After editing when I check the SC details, I am able to see the changes has not reflected
ibmc-vpc-block-10iops-tier (default)       vpc.block.csi.ibm.io                    Delete          WaitForFirstConsumer   true                   24d

ibmc-vpc-block-general-purpose (default)   vpc.block.csi.ibm.io                    Delete          Immediate              true                   19h

Comment 4 Chao Yang 2022-04-24 06:23:12 UTC
oc get sc      
NAME                         PROVISIONER            RECLAIMPOLICY   VOLUMEBINDINGMODE      ALLOWVOLUMEEXPANSION   AGE
ibmc-vpc-block-10iops-tier   vpc.block.csi.ibm.io   Delete          WaitForFirstConsumer   true                   157m
ibmc-vpc-block-5iops-tier    vpc.block.csi.ibm.io   Delete          WaitForFirstConsumer   true                   157m
ibmc-vpc-block-custom        vpc.block.csi.ibm.io   Delete          WaitForFirstConsumer   true                   157m
sc-region (default)          vpc.block.csi.ibm.io   Delete          WaitForFirstConsumer   true                   40s

oc get clusterversion
NAME      VERSION                              AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.11.0-0.nightly-2022-04-23-153426   True        False         138m    Cluster version is 4.11.0-0.nightly-2022-04-23-153426

Comment 8 errata-xmlrpc 2022-08-10 10:55:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.